Skip to navigation

Create customer virtual bank account

Creates a dedicated virtual bank account for the customer to pay invoices by bank transfer, by your external ID. Returns the existing account if one already exists for the currency. Requires a live-mode organization with Stripe connected and Bank Transfers enabled on the Stripe account.

Authentication

AuthorizationBearer
API Key authentication using Bearer token

Path parameters

externalIdstringRequired

Request

Body
currencystringOptional=3 characters

Currency of the virtual bank account. Only USD is supported today; defaults to USD.

Response

200
customerIdstring
Paid customer display id
currencystring
bankNamestring
Bank holding the virtual account, as issued by Stripe
accountHolderNamestring
Name the customer should address the transfer to
routingNumberstring
ABA routing number
accountNumberstring
Account number unique to this customer
accountTypeenum
Allowed values:
statusstring
memostring
What the customer must put in the transfer memo so the payment is matched to an invoice
createdAtdatetime

Errors

400
Bad Request Error
403
Forbidden Error
404
Not Found Error
422
Unprocessable Entity Error
500
Internal Server Error